#pragma once
#include "Entity.h"
#define CS_TESTBAT_CREATENAME L"CS_testbat"
class CS_TestBat :
    public Entity
{
public:
    CS_TestBat();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    float srcX = 0, srcY = 0;
    int act_no = 0;
    int count1 = 0;
    int act_wait = 0;
    int ani_wait = 0;
};

std::shared_ptr<Entity> CreateCS_TestBat();